
QGIS Application - Bug report #18219

Delaunay Triangulation and Voronoi Polygons do not work

2018-02-26 11:45 AM - Basil Eric Rabi

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26110

Description

Delaunay Triangulation and Voronoi Polygon do not work.

This previously worked flawlessly in 2.18.16.

Built qgis rpm using rpm/buildrpms.sh.

Sample data attached.

Associated revisions

Revision ca001741 - 2018-08-07 08:48 PM - Håvard Tveite

[processing] Update the comparison implementation in voronoi.py (fixes #18219)

When "translating" the cmp function of Site and Halfedge to Python 3, the lt function was forgotten.  It has been added.

Revision ce3cba1f - 2018-08-08 11:28 AM - Håvard Tveite

[processing] Update the comparison implementation in voronoi.py (fixes #18219)

When "translating" the cmp function of Site and Halfedge to Python 3, the lt function was forgotten.  It has been added.

(cherry-picked from ca00174)

History

#1 - 2018-02-26 12:40 PM - Basil Eric Rabi

- File DH.dbf added

- File DH.shp added

- File DH.prj added

- File DH.shx added

- File DH.qpj added

- File DH.cpg added

Re-uploading a sample data that works in 2.18.16 (Something's wrong with tmpDF shapefile).

Regression is also present in Windows. Tested the stand-alone 3.0.0 installer.

#2 - 2018-03-03 11:08 AM - Giovanni Manghi

- Category changed from Python plugins to Processing/QGIS
- Operating System deleted (fedora 27)

- Priority changed from Normal to High

- Subject changed from Geometry Tools Delaunay Triangulation and Voronoi Polygon do not work to Delaunay Triangulation and Voronoi Polygons do 

not work

Connfirmed.

#3 - 2018-08-03 04:34 PM - Håvard Tveite

The problem seems to be in python/plugins/processing/algs/qgis/voronoi.py.

#4 - 2018-08-07 09:49 AM - Håvard Tveite

I think I have found the error in voronoi.py.

When translating the cmp method of Site and Halfedge from Python 2 to Python 3, the gt function that is used by the > operator in the cmp method was not

implemented.  I fixed this in https://github.com/qgis/QGIS/pull/7554.  With this change, the Voronoi diagram of the DH dataset seems to be correctly

generated.

#5 - 2018-08-07 03:46 PM - Basil Eric Rabi

I just tested the patch, it works great! I hope it will be merged soon. Thank you!

#6 - 2018-08-07 08:47 PM - Håvard Tveite

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|ca0017410b8446c160b51121e546ac5fb118e6f0.

Files

tmpDF.dbf 13.6 KB 2018-02-26 Basil Eric Rabi

tmpDF.prj 418 Bytes 2018-02-26 Basil Eric Rabi

tmpDF.qpj 681 Bytes 2018-02-26 Basil Eric Rabi

tmpDF.shx 220 Bytes 2018-02-26 Basil Eric Rabi

tmpDF.shp 1.04 KB 2018-02-26 Basil Eric Rabi

DH.cpg 5 Bytes 2018-02-26 Basil Eric Rabi

DH.prj 418 Bytes 2018-02-26 Basil Eric Rabi

DH.qpj 681 Bytes 2018-02-26 Basil Eric Rabi

DH.shp 47.7 KB 2018-02-26 Basil Eric Rabi

DH.shx 13.7 KB 2018-02-26 Basil Eric Rabi

DH.dbf 1.51 MB 2018-02-26 Basil Eric Rabi
https://github.com/qgis/QGIS/pull/7554

